/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-20 13:52:45.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 导出文件类型
 *
 * @author: fengdesheng
 * @since: 2018/11/20
 */
public enum ExportType {
    /**
     * 试卷
     */
    PAPER("试卷"),
    /**
     * 答案
     */
    ANSWER("答案"),
    /**
     * 试卷结构(用于阅卷)
     */
    STRUCT("试卷结构"),
    /**
     * 试卷结构-客观题
     */
    OBJECTIVE("客观题"),
    /**
     * 试卷结构-主观题
     */
    SUBJECTIVE("主观题"),
    /**
     * 机考数据包
     */
    COMPUTER_EXAM_PKG("机考数据包"),
    /**
     * 分布式印刷数据包
     */
    PRINT_EXAM_PKG("分布式印刷数据包");

    private String title;

    ExportType(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

}