/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-08 11:13:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.entity.CoursePaper;
import cn.com.qmth.examcloud.core.print.service.CoursePaperService;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.ExportAllReq;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.File;

/**
 * @author: fengdesheng
 * @since: 2018/11/08
 */
public class CoursePaperServiceTest extends BaseTest {
    @Autowired
    private CoursePaperService coursePaperService;

    @Test
    public void test() throws Exception {
        coursePaperService.syncCourseNameByCourseId(18L, "测试课程");
    }

    @Test
    public void allotCoursePaperTest() throws Exception {
        Long courseStatisticId = 1L;
        Long coursePaperId = 1L;
        //coursePaperService.allotCoursePaper(courseStatisticId, coursePaperId);

        Long orgId = 27L;
        Long examId = 21L;
        coursePaperService.allotAllCoursePaper(orgId, examId);
    }

    @Test
    public void syncCoursePaperTest() throws Exception {
        CoursePaper coursePaper = new CoursePaper();
        coursePaper.setOrgId(27L);
        coursePaper.setExamId(21L);
        coursePaper.setCourseId(18L);
        coursePaper.setCourseCode("123456");
        coursePaper.setCourseName("测试课程");
        coursePaper.setPaperId("xyz");
        coursePaper.setPaperName("测试试卷");
        coursePaper.setPaperP(5);
        coursePaper.setPaperWordUrl("https://ecs-test-static.qmth.com.cn/ecs-print/test/demo.docx");
        coursePaper.setAnswerWordUrl("https://ecs-test-static.qmth.com.cn/ecs-print/test/demo.docx");
        coursePaper.setPaperPdfUrl("https://ecs-test-static.qmth.com.cn/ecs-print/test/demo.pdf");
        coursePaper.setAnswerPdfUrl("https://ecs-test-static.qmth.com.cn/ecs-print/test/demo.pdf");
        coursePaperService.syncCoursePaper(coursePaper);
    }

    @Test
    public void exportAllCoursePaperTest() throws Exception {
        ExportAllReq req = new ExportAllReq();
        req.setOrgId(27L);
        req.setExamId(21L);
        req.setNeedPaper(true);
        req.setNeedAnswer(true);
        req.setNeedStruct(true);
        File file = coursePaperService.exportAllCoursePaper(req);
        System.out.println(file.getPath());
    }

}